Deactivate VAST Tag
This endpoint deactivates VAST Tag.
HTTP Request
Section titled “HTTP Request”POST https://adelion.com/api/ortb/vasttag/deactivate| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Id | int | VAST Tag ID. | required |
{ "VastTag": { "Id": 1 }}Response
Section titled “Response”{ "Status": "Ok", "VastTag": { "Id": 1, "TeamId": 1, "PublisherId": 1, "PublisherName": "Publisher", "Name": "VAST Tag 1", "Tags": [ 1 ], "Bidfloor": 0.5, "DspBidfloorMargin": 5.0, "PublisherProfitShare": 90.0, "Keywords": "", "SiteDomain": "", "AppName": "", "AppBundle": "", "AppStoreUrl": "", "MaxQps": 0, "Tmax": 300, "AuctionType" : 2, "Secure": 1, "Waterfall": 1, "SetSchainComplete": 0, "IabCategories": [ "IAB1-1", "IAB2-1", "IAB3" ], "AdPosition": 4, "Width": 300, "Height": 250, "Linearity": 1, "Placement": 1, "RequestsDailyLimit": 0, "BidsDailyLimit": 0, "ImpressionsDailyLimit": 0, "ImpressionsLimitPerIp": 5, "SpentDailyLimit": 0.0, "WebEnabled": 1, "AppEnabled": 1, "MaxIvt": 50.0, "DomainsBrandsListMode": 0, "DomainsBrandsList": [ 1 ], "AppsListMode": 0, "AppsList": [ 1 ], "SizesListMode": 1, "SizesList": [ "300x250", "320x480" ], "IpBlacklists": [ 1 ], "NonEmptyReferer": 1, "RefererMatch": 1, "IpMatch": 1, "UaMatch": 1, "AllowIpV6": 1, "CheckSiteLive": 0, "CheckAppStore": 0, "AdDomainsBrandsBlacklist": "", "AdAppsBlacklist": "", "CridListMode": 0, "CridList": "", "BlockedAdIabCategories": [ "IAB1-1", "IAB2-1", "IAB3", "IAB2-4" ], "BlockedAdAttributes": [ 8, 9 ], "Countries": [ { "CC": "US", "Country": "United States" } ], "Os": [ { "Family": "Windows", "Versions": [ { "Major": "10", "Minor": "" } ] } ], "Browsers": [ { "Family": "Chrome" } ], "DeviceTypes": [ 1, 2, 3, 4, 5 ], "Auth": "yI4de6", "Qps": 534, "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 1, "StatusString": "Inactive", "ZoneUrls": [ { "Region": "us-east", "ZoneUrl": "https://us-east1.adelion.com/vast?zone=%d&auth=%s&ip={ip}&ua={ua}&width={width}&height={height}&linearity={linearity}&pos={pos}&placement={placement}&site_url={site_url}&app_bundle={app_bundle}&app_name={app_name}&app_store_url={app_store_url}&bidfloor={bidfloor}&minduration={minduration}&maxduration={maxduration}&startdelay={startdelay}&category={category}&device_type={device_type}&device_make={device_make}&device_model={device_model}&os={os}&osv={osv}&lang={lang}&ifa={ifa}&series={series}&season={season}&context={context}&cb={cb}" } ], "StatsByDate": "https://adelion.com/api/ortb/stats/publisher/vast?username=publisher1&auth=7sdd23&zone=1&date_from={date_from}&date_to={date_to}&columns=DateStats,Requests,NetImpressions,Spent", "Campaigns": [ 1 ], "DspRtbEps": [ 1 ], "DspVastTags": [ 1 ] }}Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Error Code | Meaning |
|---|---|
| 400 | Bad Request — You sent a body that isn’t JSON. |
| 401 | Unauthorized — Your access token is invalid. |
| 406 | Not Acceptable — Some value(s) inside JSON are missing or malformed, or requested object is not found. |
| 500 | Internal Server Error — We had a problem with our server. Try again later. |